﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;

namespace Rensyu2
{
    class Program
    {
        static void Main(string[] args)
        {
            //接続文字列
            string constr = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=C:\Work\Books.mdf;Integrated Security=True;Connect Timeout=30";

            //SqlConnectionオブジェクトを生成
            SqlConnection con = new SqlConnection(constr);

            //Usersテーブルのデータを取得するSQL文を作成
            string sql = "SELECT * FROM Books";

            //SqlCommandオブジェクトを生成
            SqlCommand cmd = new SqlCommand(sql, con);

            //データベースを開く
            con.Open();

            //SQL文を実行する
            SqlDataReader dr = cmd.ExecuteReader();

            Console.WriteLine("次の一覧から検索する書籍IDを選んでください。");
            //データを取得する
            while (dr.Read())
            {
                Console.Write("書籍ID：{0}　", dr["ID"]);
                Console.WriteLine("書籍名：{0}　", dr["BookName"]);
            }
            Console.WriteLine();

            //データリーダーを閉じる
            dr.Close();

            //検索するデータを入力する
            Console.Write("検索するID：");
            string id = Console.ReadLine();

            //検索するSQL文を生成
            sql = "SELECT Price FROM Books WHERE Id=" + id;

            //SqlCommandオブジェクトにSQL文をセットする
            cmd.CommandText = sql;

            //SQL文を実行する
            dr = cmd.ExecuteReader();

            //データを取得する
            dr.Read();
            int price = dr.GetInt32(0);

            //データリーダーを閉じる
            dr.Close();

            //結果を表示する
            Console.WriteLine("価格：{0}", price);
            
            //データベースを閉じる
            con.Close();
            Console.ReadLine();
        }
    }
}
